---
lang: en
title: 'API docs: authentication.authenticationmetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticationmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationMetadata](./authentication.authenticationmetadata.md)

## AuthenticationMetadata interface

Authentication metadata stored via Reflection API

**Signature:**

```typescript
export interface AuthenticationMetadata 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[options?](./authentication.authenticationmetadata.options.md)


</td><td>


</td><td>

{ \[name: string\]: any; }


</td><td>

_(Optional)_ Options for the authentication strategy


</td></tr>
<tr><td>

[skip?](./authentication.authenticationmetadata.skip.md)


</td><td>


</td><td>

boolean


</td><td>

_(Optional)_ A flag to skip authentication


</td></tr>
<tr><td>

[strategy](./authentication.authenticationmetadata.strategy.md)


</td><td>


</td><td>

string


</td><td>

Name of the authentication strategy


</td></tr>
</tbody></table>

